:: commit 97258c43f53fe3bd1944c6c43dee0fb2c939d4e6

streaksu <assemblyislaw@gmail.com> — 2020-01-21 06:13

parents: 52125cd07f

Added install script

diff --git a/qloader2-install b/qloader2-install
new file mode 100755
index 00000000..4d0c4c9c
--- /dev/null
+++ b/qloader2-install
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+# We take 1 argument, the device to use.
+if [ -z "$1" ]; then
+    echo "Usage: $0 <device>"
+    exit 1
+fi
+
+# Variables.
+DEVICE="$1"
+MBR="$(mktemp)"
+QLOADER2="qloader2.bin"
+
+# Copy the loader to the device.
+dd if="$DEVICE"   of="$MBR"    bs=1 count=64 skip=446
+dd if="$QLOADER2" of="$DEVICE" conv=notrunc
+dd if="$MBR"      of="$DEVICE" conv=notrunc bs=1 count=64 seek=446
tab: 248 wrap: offon